Header Only - DO NOT REMOVE - Extreme Networks

Upgrading Application Analytics Engine from 6.3.0.162 to 7.0.3.12


Hi:

I was upgrading our former Purview Engines 6.3.0.162 to new Application Analytics Engines 7.0.3.12 with the script provided for it "purview_appliance_upgrade_to_7.0.3.12.bin"

The script started well, but at some point it never ends:

$ ./purview_appliance_upgrade_to_7.0.3.12.bin Upgrading Application Analytics Engine from 6.3.0.162 to 7.0.3.12
Extracting upgrade files to: /opt/appid_upgrade
Stopping services...
Calling pre-upgrade script
64-bit Application Analytics Pre-Upgrade
Upgrading Application Analytics Server...
Upgrading Application Analytics Sensor...
appid stop/waiting
Upgrading root scripts...
Upgrading system files...
64-bit Application Analytics Pre-Upgrade finished
Calling versioned upgrade scripts
...

Checking what it is doing, it seems that script is blocked because it is trying to launch a "whiptail" dialog box but no graphical tools present at Purview VM ?? (launched at console, and also by "ssh -X root@purview-engine")

$ pstreeinit─┬─
ubuntu.───dpkg───frontend─┬─grub-pc.postins
└─whiptail

$ ps -edf | grep whiptailroot 18993 18050 0 Jul21 pts/0 00:00:00 whiptail --backtitle Package configuration --title Configuring grub-pc --output-fd 11 --nocancel --separate-output --checklist The GRUB boot loader was previously installed to a disk that is no longer present, or whose unique identifier has changed for some reason. It is ?important to make sure that the installed GRUB core image stays in sync with GRUB modules and grub.cfg. Please check again to make sure that GRUB is ?written to the appropriate boot devices.??If you're unsure which drive is designated as boot drive by your BIOS, it is often a good idea to install GRUB to all of them.??Note: it is possible to install GRUB to partition boot records as well, and some appropriate partitions are offered here. However, this forces GRUB to ?use the blocklist mechanism, which makes it less reliable, and therefore is not recommended.??GRUB install devices: 20 156 3 -- /dev/vda (42949 MB; ???) off /dev/dm-0 (34099 MB; systemvg-root) off /dev/vda1 (254 MB; ???) off


What I can do to finish installation correctly?
Thanks a lot in advance.

Regards,
Fernando.

3 replies

Userlevel 6
Hi.

as there is almost no configuration in the PV-engine itself and all configuration is pushed from NetSight, the most easy way to fix that is to install the engine from ISO / OVA again.

I did the upgrade to 7.0.3 several times and did not met any issue (did not need the Graphical interface)

Good luck

Z.
Userlevel 6
Pala, Zdenek wrote:

Hi.

as there is almost no configuration in the PV-engine itself and all configuration is pushed from NetSight, the most easy way to fix that is to install the engine from ISO / OVA again.

I did the upgrade to 7.0.3 several times and did not met any issue (did not need the Graphical interface)

Good luck

Z.

after new install you just do enforce the settings and that is it.
whiptail is a console dialog display tool, you should be able to just kill the process (18993), dpkg will error out and continue. Afterwards, run dpkg --configure grub-pc

Reply